{% extends "main/base.html" %}

{% load socialaccount %}
{% providers_media_js %}

{% block content %}
    <form method = 'POST'>
        {% csrf_token %}
        {{form.as_p}}

        <button class="btn" type="submit">login</button>
    </form>
    

    You can login using:
    <br></br>
    <a href="{% provider_login_url 'google' %}" class="btn btn btn-danger btn-lg btn-block" role="button" aria-pressed="true">Sign in with Google</a>
    <br></br>
    <a href="{% provider_login_url 'facebook' %}" class="btn btn btn-danger btn-lg btn-block" role="button" aria-pressed="true">Sign in with Facebook</a>
    <br></br>
    If you don't have an account , <a href="/register"><strong>Register</strong></a> one.
{% endblock %}